com.fasterxml.jackson.databind.node

## Class ContainerNode.NoNodesIterator

- java.lang.Object
- - com.fasterxml.jackson.databind.node.ContainerNode.NoNodesIterator

All Implemented Interfaces:
  Iterator<JsonNode>

Enclosing class:
  ContainerNode<T extends ContainerNode<T>>

    protected static class ContainerNode.NoNodesIterator
    extends Object
    implements Iterator<JsonNode>

### Method Summary

Methods
`boolean` `hasNext()`
`static ContainerNode.NoNodesIterator` `instance()`
`JsonNode` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static ContainerNode.NoNodesIterator instance()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<JsonNode>`

#### next

    public JsonNode next()

Specified by:
  `next` in interface `Iterator<JsonNode>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<JsonNode>`